Index: wsdl/fedd.wsdl
===================================================================
--- wsdl/fedd.wsdl	(revision 6e33086c614c0f578bcd17d7f5f6ab37d236ef90)
+++ wsdl/fedd.wsdl	(revision 22a1a77015d7254a2c8a9f81b420a91df69516f5)
@@ -74,4 +74,12 @@
   </message>
 
+  <message name="OperationRequestMessage">
+    <part name="OperationRequestBody" type="xsd1:operationRequestType"/>
+  </message>
+
+  <message name="OperationResponseMessage">
+    <part name="OperationResponseBody" type="xsd1:operationResponseType"/>
+  </message>
+
   <message name="MultiInfoRequestMessage">
     <part name="MultiInfoRequestBody" type="xsd1:multiInfoRequestType"/>
@@ -116,4 +124,14 @@
     <part name="InfoSegmentResponseBody" 
       type="xsd1:infoSegmentResponseType"/>
+  </message>
+
+  <message name="OperationSegmentRequestMessage">
+    <part name="OperationSegmentRequestBody" 
+      type="xsd1:operationSegmentRequestType"/>
+  </message>
+
+  <message name="OperationSegmentResponseMessage">
+    <part name="OperationSegmentResponseBody" 
+      type="xsd1:operationSegmentResponseType"/>
   </message>
 
@@ -214,4 +232,15 @@
     </operation>
 
+
+    <operation name="Operation">
+      <documentation>
+	A one-stop request for meta-data on the experiment.  Includes all the
+	info from a Vtopo and a Vis request.
+      </documentation>
+      <input message="tns:OperationRequestMessage"/>
+      <output message="tns:OperationResponseMessage"/>
+      <fault name="OperationFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
     <operation name="MultiInfo">
       <documentation>
@@ -251,5 +280,4 @@
     </operation>
 
-
     <operation name="InfoSegment">
       <documentation>
@@ -261,4 +289,13 @@
     </operation>
 
+    <operation name="OperationSegment">
+      <documentation>
+	Get info about a segment
+      </documentation>
+      <input message="tns:OperationSegmentRequestMessage"/>
+      <output message="tns:OperationSegmentResponseMessage"/>
+      <fault name="OperationSegmentFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
     <operation name="SetValue">
       <documentation>
@@ -436,4 +473,25 @@
 	</fault>
       </operation>
+      <operation name="Operation">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Operation"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:OperationRequestBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:OperationResponseBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="OperationFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
       <operation name="MultiInfo">
 	<documentation>
@@ -536,4 +594,25 @@
 	</output>
 	<fault name="InfoSegmentFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="OperationSegment">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="OperationSegment"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:OperationSegmentRequestBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:OperationSegmentResponseBody"
+	    namespace="http://www.isi.edu/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="OperationSegmentFeddFault">
 	  <soap:fault use="literal"  name="tns:FeddFault"
 	    namespace="http://www.isi.edu/fedd.wsdl"
